% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/alternative_models.R
\name{bitola_model}
\alias{bitola_model}
\title{Apply BITOLA-style discovery model}
\usage{
bitola_model(
  co_matrix,
  a_term,
  a_semantic_type = NULL,
  c_semantic_type = NULL,
  min_score = 0.1,
  n_results = 100
)
}
\arguments{
\item{co_matrix}{A co-occurrence matrix produced by create_cooccurrence_matrix().}

\item{a_term}{Character string, the source term (A).}

\item{a_semantic_type}{Character string, the semantic type for A term.}

\item{c_semantic_type}{Character string, the semantic type for C terms.}

\item{min_score}{Minimum score threshold for results.}

\item{n_results}{Maximum number of results to return.}
}
\value{
A data frame with ranked discovery results.
}
\description{
This function implements a BITOLA-style discovery model based on MeSH term
co-occurrence and semantic type filtering.
}
