% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{compare_terms}
\alias{compare_terms}
\title{Compare term frequencies between two corpora}
\usage{
compare_terms(
  corpus1,
  corpus2,
  text_column = "abstract",
  corpus1_name = "Corpus1",
  corpus2_name = "Corpus2",
  n = 100,
  remove_stopwords = TRUE
)
}
\arguments{
\item{corpus1}{First corpus (data frame).}

\item{corpus2}{Second corpus (data frame).}

\item{text_column}{Name of the column containing the text to analyze.}

\item{corpus1_name}{Name for the first corpus in the output.}

\item{corpus2_name}{Name for the second corpus in the output.}

\item{n}{Number of top terms to return.}

\item{remove_stopwords}{Logical. If TRUE, removes stopwords.}
}
\value{
A data frame containing term frequency comparisons.
}
\description{
This function compares term frequencies between two sets of articles.
}
