% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/visualization.R
\name{create_report}
\alias{create_report}
\title{Generate a comprehensive discovery report}
\usage{
create_report(
  results,
  visualizations = NULL,
  articles = NULL,
  output_file = "discovery_report.html"
)
}
\arguments{
\item{results}{A list containing discovery results from different approaches.}

\item{visualizations}{A list containing file paths to visualizations.}

\item{articles}{A data frame containing the original articles.}

\item{output_file}{File path for the output HTML report.}
}
\value{
The file path of the created HTML report (invisibly).
}
\description{
This function generates an HTML report summarizing discovery results
without enforcing entity type constraints. It includes data validation
to avoid errors with publication years and other data issues.
}
