% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/visualization.R
\name{export_chord}
\alias{export_chord}
\title{Export interactive HTML chord diagram for ABC connections}
\usage{
export_chord(
  abc_results,
  output_file = "abc_chord.html",
  top_n = 50,
  min_score = 0.1,
  open = TRUE
)
}
\arguments{
\item{abc_results}{A data frame containing ABC results.}

\item{output_file}{File path for the output HTML file.}

\item{top_n}{Number of top results to visualize.}

\item{min_score}{Minimum score threshold for including connections.}

\item{open}{Logical. If TRUE, opens the HTML file after creation.}
}
\value{
The file path of the created HTML file (invisibly).
}
\description{
This function creates an HTML chord diagram visualization for ABC connections.
}
