% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/text_preprocessing.R
\name{extract_ner}
\alias{extract_ner}
\title{Perform named entity recognition on text}
\usage{
extract_ner(
  text,
  entity_types = c("disease", "drug", "gene"),
  custom_dictionaries = NULL
)
}
\arguments{
\item{text}{Character vector of texts to process}

\item{entity_types}{Character vector of entity types to recognize}

\item{custom_dictionaries}{List of custom dictionaries (named by entity type)}
}
\value{
A data frame containing found entities, their types, and positions
}
\description{
This function performs a simple dictionary-based named entity recognition.
For more advanced NER, consider using external tools via reticulate.
}
