% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{extract_terms}
\alias{extract_terms}
\title{Extract common terms from a corpus}
\usage{
extract_terms(
  article_data,
  text_column = "abstract",
  n = 100,
  remove_stopwords = TRUE,
  min_word_length = 3
)
}
\arguments{
\item{article_data}{A data frame containing article data.}

\item{text_column}{Name of the column containing the text to analyze.}

\item{n}{Number of top terms to return.}

\item{remove_stopwords}{Logical. If TRUE, removes stopwords.}

\item{min_word_length}{Minimum word length to include.}
}
\value{
A data frame containing term counts.
}
\description{
This function extracts and counts the most common terms in a corpus.
}
