% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{min_results}
\alias{min_results}
\title{Ensure minimum results for visualization}
\usage{
min_results(
  diverse_results,
  top_results,
  a_term,
  min_results = 3,
  fallback_count = 15,
  verbose = TRUE
)
}
\arguments{
\item{diverse_results}{Current diversified results}

\item{top_results}{Original top results}

\item{a_term}{The primary term for the analysis}

\item{min_results}{Minimum number of desired results (default: 3)}

\item{fallback_count}{Number of top results to use as fallback (default: 15)}

\item{verbose}{Logical; if TRUE, print status messages (default: TRUE)}
}
\value{
A data frame with sufficient results for visualization
}
\description{
This function ensures there are sufficient results for visualization,
creating placeholder data if necessary.
}
