% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/performance_optimalization.R
\name{parallel_analysis}
\alias{parallel_analysis}
\title{Apply parallel processing for document analysis}
\usage{
parallel_analysis(
  text_data,
  analysis_function,
  text_column = "abstract",
  ...,
  n_cores = NULL
)
}
\arguments{
\item{text_data}{A data frame containing text data.}

\item{analysis_function}{Function to apply to each document.}

\item{text_column}{Name of the column containing text to analyze.}

\item{...}{Additional arguments passed to the analysis function.}

\item{n_cores}{Number of cores to use for parallel processing. If NULL, uses all available cores minus 1.}
}
\value{
A data frame with analysis results.
}
\description{
This function uses parallel processing to analyze documents faster.
}
