% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/text_preprocessing.R
\name{sanitize_dictionary}
\alias{sanitize_dictionary}
\title{Enhanced sanitize dictionary function}
\usage{
sanitize_dictionary(
  dictionary,
  term_column = "term",
  type_column = "type",
  validate_types = TRUE,
  verbose = TRUE
)
}
\arguments{
\item{dictionary}{A data frame containing dictionary terms.}

\item{term_column}{The name of the column containing the terms to sanitize.}

\item{type_column}{The name of the column containing entity types.}

\item{validate_types}{Logical. If TRUE, validates terms against their claimed type.}

\item{verbose}{Logical. If TRUE, prints information about the filtering process.}
}
\value{
A data frame with sanitized terms.
}
\description{
This function sanitizes dictionary terms to ensure they're valid for entity extraction.
}
